/*
 * Copyright © 2017 Push Technology Ltd., All Rights Reserved.
 *
 * Use is subject to license terms.
 *
 * NOTICE: All information contained herein is, and remains the
 * property of Push Technology. The intellectual and technical
 * concepts contained herein are proprietary to Push Technology and
 * may be covered by U.S. and Foreign Patents, patents in process, and
 * are protected by trade secret or copyright law.
 *
 * @since 6.0
 */

#ifndef _diffusion_compression_int_h_
#define _diffusion_compression_int_h_ 1

/*
 * Decompress data encoded with ZLIB.
 *
 * src     - a pointer to the compressed data
 * src_len - the length of the compressed data
 * dst     - a pointer to a char * that is dynamically allocated and will
 *           point to the start of the uncompressed data.
 * dst_len - a pointer to a size_t that will contain the size of the
 *           uncompressed data.
 *
 * If decompression fails, this function returns -1 and *dst_len is undefined,
 * but memory allocated for *dst is freed.
 *
 * On success, the function returns 0. It is the responsibility of the caller
 * to free memory allocated to *dst.
 */
int decompress_data_zlib(const char *src, const size_t src_len, char **dst, size_t *dst_len);

#endif
